function ARTwarp_Create_Figure

global NET DATA

h0 = findobj('Tag','ARTwarp');
clf
numCols = round(NET.maxNumCategories^0.5);
numRows = numCols+1;

rowHeight = (0.98 - 0.01*numRows)/numRows;
colWidth = (0.98 - 0.01*numCols)/(numCols+1);
h1 = uimenu('Parent',h0, ...
    'Label','File', ...
    'Tag','uimenu1');
h2 = uimenu('Parent',h1, ...
    'Callback','ARTwarp_Load_Data', ...
    'Accelerator','o', ...
    'Label','Load Frequency Contours', ...
    'Tag','Fileuimenu1');
h2 = uimenu('Parent',h1, ...
    'Callback','ARTwarp_Load_Net', ...
    'Accelerator','n', ...
    'Label','Load Categorisation', ...
    'Tag','Fileuimenu2');
h1 = uimenu('Parent',h0, ...
    'Label','Analyse', ...
    'Tag','uimenu1');
h2 = uimenu('Parent',h1, ...
    'Callback','ARTwarp_Get_Parameters', ...
    'Accelerator','r', ...
    'Label','Run Categorisation', ...
    'Enable','off', ...
    'Tag','Runmenu');
h2 = uimenu('Parent',h1, ...
    'Callback','ARTwarp_Plot_Net', ...
    'Accelerator','p', ...
    'Label','Plot Categorisation', ...
    'Enable','off', ...
    'Tag','Plotmenu');
h1 = axes('Parent',h0, ...
    'Units','normalized', ...
    'CameraUpVector',[0 1 0], ...
    'CameraUpVectorMode','manual', ...
    'Position',[0.01 (rowHeight+0.01)*(numRows-1) + 0.01 colWidth rowHeight ], ...
    'Tag', '0', ...
    'XTick',[], ...
    'YTick',[]);
h2 = text('Parent',h1, ...
    'Units','normalized', ...
    'FontSize',9, ...
    'HorizontalAlignment','center', ...
    'Position',[0.5 1], ...
    'String',' ', ...
    'Tag','T0', ...
    'VerticalAlignment', 'cap');
h1 = axes('Parent',h0, ...
    'Units','normalized', ...
    'CameraUpVector',[0 1 0], ...
    'CameraUpVectorMode','manual', ...
    'Position',[(colWidth) + 0.02 (rowHeight+0.01)*(numRows-1) + 0.01 colWidth rowHeight], ...
    'Tag', 'X', ...
    'Visible', 'off', ...
    'XTick',[], ...
    'YTick',[]);
h2 = text('Parent',h1, ...
    'FontSize',9, ...
    'HorizontalAlignment','left', ...
    'Position',[0 1], ...
    'String','Match:',...
    'VerticalAlignment', 'cap');
h2 = text('Parent',h1, ...
    'FontSize',9, ...
    'HorizontalAlignment','left', ...
    'Position',[0 0.66], ...
    'String','Iteration:',...
    'VerticalAlignment', 'middle');
h2 = text('Parent',h1, ...
    'FontSize',9, ...
    'HorizontalAlignment','left', ...
    'Position',[0 0.33], ...
    'String','Input:',...
    'VerticalAlignment', 'middle');
h2 = text('Parent',h1, ...
    'FontSize',9, ...
    'HorizontalAlignment','left', ...
    'Position',[0 0], ...
    'String','Reclassified:',...
    'VerticalAlignment', 'bottom');
h2 = text('Parent',h1, ...
    'FontSize',9, ...
    'HorizontalAlignment','left', ...
    'Position',[0.5 1], ...
    'String',' ',...
    'Tag','Match',...
    'VerticalAlignment', 'cap');
h2 = text('Parent',h1, ...
    'FontSize',9, ...
    'HorizontalAlignment','left', ...
    'Position',[0.5 0.66], ...
    'String',' ',...
    'Tag','Iteration',...
    'VerticalAlignment', 'middle');
h2 = text('Parent',h1, ...
    'FontSize',9, ...
    'HorizontalAlignment','left', ...
    'Position',[0.5 0.33], ...
    'String',' ',...
    'Tag','Input',...
    'VerticalAlignment', 'middle');
h2 = text('Parent',h1, ...
    'FontSize',9, ...
    'HorizontalAlignment','left', ...
    'Position',[0.5 0], ...
    'String',' ',...
    'Tag','Reclassifications',...
    'VerticalAlignment', 'bottom');


number = 1;
for counter2 = 0:1:numCols
    for counter1 = numRows-2:-1:0
        h1 = axes('Parent',h0, ...
            'Units','normalized', ...
            'CameraUpVector',[0 1 0], ...
            'CameraUpVectorMode','manual', ...
            'Position',[(colWidth+0.01)*counter2 + 0.01 (rowHeight+0.01)*counter1 + 0.01 colWidth rowHeight], ...
            'Tag', num2str(number), ...
            'Visible', 'on', ...
            'XTick',[], ...
            'YTick',[]);
        h2 = text('Parent',h1, ...
            'Units','normalized', ...
            'FontSize',9, ...
            'HorizontalAlignment','center', ...
            'Position',[0.5 1], ...
            'String',['Neuron ' num2str(number)], ...
            'Tag',['T' num2str(number)], ...
            'VerticalAlignment', 'cap', ...
            'Visible', 'on');
        number = number+1;
    end
end





