function ARTwarp_Plot_Net

global NET DATA
h0 = findobj('Tag','ARTwarp');
clf
h1 = uimenu('Parent',h0, ...
    'Label','File', ...
    'Tag','uimenu1');
h2 = uimenu('Parent',h1, ...
    'Callback','ARTwarp_Load_Data', ...
    'Accelerator','o', ...
    'Label','Load Frequency Contours', ...
    'Tag','Fileuimenu1');
h2 = uimenu('Parent',h1, ...
    'Callback','ARTwarp_Load_Net', ...
    'Accelerator','n', ...
    'Label','Load Categorisation', ...
    'Tag','Fileuimenu2');
h1 = uimenu('Parent',h0, ...
    'Label','Analyse', ...
    'Tag','uimenu1');
h2 = uimenu('Parent',h1, ...
    'Callback','ARTwarp_Get_Parameters', ...
    'Accelerator','r', ...
    'Label','Run Categorisation', ...
    'Enable','on', ...
    'Tag','Runmenu');
h2 = uimenu('Parent',h1, ...
    'Callback','ARTwarp_Plot_Net', ...
    'Accelerator','p', ...
    'Label','Plot Categorisation', ...
    'Enable','on', ...
    'Tag','Plotmenu');

[Xmax x] = size(NET.weight);
Ymax = max(max(NET.weight));
numCols = round(NET.numCategories)-1;
numRows = 1;
numContours = length(DATA);
for category = 1:NET.numCategories
    numRows = max([numRows length(find([DATA.category]==category))]);
end
numRows = numRows+1;
rowHeight = (0.98 - 0.01*numRows)/numRows;
colWidth = (0.98 - 0.01*numCols)/(numCols+1);
%    disp('Reference Contours:')
for counter1 = 1:NET.numCategories
%     disp(sprintf('Category %s:',num2str(counter1)));
%     data = find(NET.weight(:,1)>0); 
%     disp(sprintf('%6.1f',NET.weight(data,1)'));
    h1 = axes('Parent',h0, ...
        'Units','normalized', ...
        'CameraUpVector',[0 1 0], ...
        'CameraUpVectorMode','manual', ...
        'Position',[(colWidth+0.01)*(counter1-1) + 0.01 (rowHeight+0.01)*(numRows-1) + 0.01 colWidth rowHeight], ...
        'Visible', 'on', ...
        'XLim', [0 Xmax], ...
        'YLim', [0 Ymax], ...
        'XTick',[], ...
        'YTick',[]);
    h2 = text('Parent',h1, ...
        'Units','normalized', ...
        'FontSize',9, ...
        'HorizontalAlignment','center', ...
        'Position',[0.5 1], ...
        'String',['Category ' num2str(counter1)], ...
        'VerticalAlignment', 'cap', ...
        'Visible', 'on');   
    h3 = line('Parent', h1, 'Color','r', 'Tag', ['P' num2str(counter1)], 'XData', 1:NET.numFeatures, 'YData', NET.weight(:,counter1));
end
rowCounter = ones(1,NET.numCategories)*(numRows-1);
disp(sprintf('Contour \t Category \t Match'));
for counter2 = 1:numContours
    category = DATA(counter2).category;
    disp(sprintf('%s \t %1i \t %6.3f',DATA(counter2).name,category,DATA(counter2).match));
       h1 = axes('Parent',h0, ...
        'Units','normalized', ...
        'CameraUpVector',[0 1 0], ...
        'CameraUpVectorMode','manual', ...
        'Position',[(colWidth+0.01)*(category-1) + 0.01 (rowHeight+0.01)*(rowCounter(category)-1) + 0.01 colWidth rowHeight], ...
        'Visible', 'on', ...
        'XLim', [0 Xmax], ...
        'YLim', [0 Ymax], ...
        'XTick',[], ...
        'YTick',[]);
    h2 = text('Parent',h1, ...
        'Units','normalized', ...
        'FontSize',9, ...
        'HorizontalAlignment','center', ...
        'Position',[0.5 1], ...
        'String',DATA(counter2).name, ...
        'VerticalAlignment', 'cap', ...
        'Visible', 'on');   
    h3 = line('Parent', h1, 'Color','k', 'Tag', ['P' num2str(counter1)], 'XData', 1:length(DATA(counter2).contour), 'YData', DATA(counter2).contour);
    rowCounter(category) = rowCounter(category)-1;
end 